[Dashboards][WDQS] Include 'https://query.wikidata.org/sparql' endpoint
Closed, ResolvedPublic1 Story Points

Description

I was browsing the WDQS user manual and noticed that we now support https://query.wikidata.org/sparql, which we don't currently count for the dashboards. I checked out how much usage we're missing by not including that uri path together with the (I guess outdated) /bigdata/namespace/wdq/sparql and it turns out it's quite a lot:

mpopov created this task.Apr 20 2017, 8:43 PM
Restricted Application added subscribers: Jay8g, TerraCodes, Aklapper. · View Herald TranscriptApr 20 2017, 8:43 PM

Change 349290 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/golden@master] Add secondSPARQL endpoint

https://gerrit.wikimedia.org/r/349290

Change 349290 merged by Chelsyx:
[wikimedia/discovery/golden@master] Add secondSPARQL endpoint

https://gerrit.wikimedia.org/r/349290

Change 349335 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/twilightsparql@master] Annotate SPARQL endpoint recount

https://gerrit.wikimedia.org/r/349335

Change 349335 merged by Bearloga:
[wikimedia/discovery/twilightsparql@master] Annotate SPARQL endpoint recount

https://gerrit.wikimedia.org/r/349335

mpopov removed a project: Patch-For-Review.

I deleted all the counts from 2017-02-18 onward (which is as far back as we would be able to backfill) and our pipeline is currently recounting the requests :) The annotation will be visible in production in the next round of dashboard deployments, but it's on beta now https://discovery-beta.wmflabs.org/wdqs/

debt closed this task as Resolved.Apr 21 2017, 9:42 PM